Bug 586246 - Guest aborted when make guest stop on write error
Summary: Guest aborted when make guest stop on write error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 583947 586320 588762
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 07:16 UTC by RHEL Program Management
Modified: 2013-01-09 22:30 UTC (History)
7 users (show)

Fixed In Version: kvm-83-164.el5_5.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 08:07:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0419 0 normal SHIPPED_LIVE kvm bug fix update 2010-05-18 08:07:14 UTC

Description RHEL Program Management 2010-04-27 07:16:11 UTC
This bug has been copied from bug #583947 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 Qunfang Zhang 2010-04-28 07:46:34 UTC
Re-test this issue on kvm-83-164.el5_5.7 with the steps in bug #583947.
Guest does not aborted after stop nfs server, it paused and output following messages:

(qemu) info status 
VM status: running
(qemu) bdrv_write ret=-5
qcow2: free_clusters failed: Input/output error
VM is stopped due to disk write error: ide0-hd1: Input/output error

(qemu) 
(qemu) info status 
VM status: paused
(qemu) 

*Then start nfs server, and after 5 sec input "cont" in qemu monitor*


(qemu) c
(qemu)
(qemu) info status 
VM status: running

*stop nfs server again*

(qemu)ide_dma_cancel: aiocb still pendingide_dma_cancel: BM_STATUS_DMAING still pendingbdrv_write ret=-5
qcow2: free_clusters failed: Input/output error
VM is stopped due to disk write error: ide0-hd1: Input/output error

(qemu) 

So, this bug is fixed and verified PASS.

Comment 10 errata-xmlrpc 2010-05-18 08:07:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0419.html


Note You need to log in before you can comment on or make changes to this bug.